<template>
  <div id="SignbankLogo">
    <nuxt-link class="d-flex align-center" to="/">
      <!--White-->
      <v-img
        width="100%"
        :max-width="max_width_props ? max_width_props : 130"
        alt="Logo"
        :src="require(`~/static/illustration/logo-signbank-vertical.svg`)"
        class="logo-img"
      >
        <template v-slot:placeholder>
          <v-row class="fill-height ma-0" align="center" justify="center">
            <v-progress-circular
              indeterminate
              color="grey lighten-5"
            ></v-progress-circular>
          </v-row>
        </template>
      </v-img>
    </nuxt-link>
  </div>
</template>
<script>
export default {
  props: ["max_width_props"],
};
</script>
